net.corda.core.node.services

## Class ServiceInfo

- net.corda.core.node.services.ServiceInfo

-     public class ServiceInfo

  A container for additional information for an advertised service.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServiceInfo.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ServiceInfo.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceInfo(ServiceType type, java.lang.String name)` A container for additional information for an advertised service.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceType` | `component1()`
    `java.lang.String` | `component2()`
    `ServiceInfo` | `copy(ServiceType type, java.lang.String name)` A container for additional information for an advertised service.
    `boolean` | `equals(java.lang.Object p)`
    `java.lang.String` | `getName()`
    `ServiceType` | `getType()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Field Detail

    - #### Companion

          public static ServiceInfo.Companion Companion

  - ### Constructor Detail

    - #### ServiceInfo

          public ServiceInfo(ServiceType type,
                             java.lang.String name)

      A container for additional information for an advertised service.

      Parameters:
        `type` - the ServiceType identifier
        `name` - the service name, used for differentiating multiple services of the same type. Can also be used as a grouping identifier for nodes collectively running a distributed service.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getType

          public ServiceType getType()

    - #### getName

          public java.lang.String getName()

    - #### component1

          public ServiceType component1()

    - #### component2

          public java.lang.String component2()

    - #### copy

          public ServiceInfo copy(ServiceType type,
                                  java.lang.String name)

      A container for additional information for an advertised service.

      Parameters:
        `type` - the ServiceType identifier
        `name` - the service name, used for differentiating multiple services of the same type. Can also be used as a grouping identifier for nodes collectively running a distributed service.

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)